Bug 463681 - [LTC 6.0 FEAT] 201542:FCP - Enhanced Trace Facility
[LTC 6.0 FEAT] 201542:FCP - Enhanced Trace Facility
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: 6.0
Assigned To: Hans-Joachim Picht
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741
  Show dependency treegraph
 
Reported: 2008-09-24 02:12 EDT by IBM Bug Proxy
Modified: 2010-07-23 04:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-22 17:01:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 02:12:14 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:18 EDT
1. Feature Overview:
Feature Id:	[201542]
a. Name of Feature:	FCP - Enhanced Trace Facility
b. Feature Description
The zfcp error recovery trace will be reworked and the remaining traces in s390dbf are updated under
consideration of:  - addition of trace entries for important events, if they are missing  - removal
of trace entries, when no information is gained from the trace entry  - rework of the content of
trace entries in order to pass meaningful information  - assignment of appropriate loglevels to
trace entries, to provide similar level of detail information through all trace facilities in same
debug level.

Additional Comments:	This feature is for validation, it is expected to get included into RHEL5.3

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	zSeries
Request Type:	Driver - Feature from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.25

3. Business Case
Enhancing the zfcp tracing facility will allow faster problem determination in case of customer
situations by providing complete and meaningful trace information in appropriate levels of detail to
make internal states of operation transparent.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 Bill Nottingham 2008-10-02 17:13:13 EDT
Validation-only feature - setting as MODIFIED.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 Hans-Joachim Picht 2009-09-22 17:01:23 EDT
Code is included in the rhel6 kernel via upstream. Marked as
CLOSED/CURRENTRELEASE by Hans-Joachim Picht <hpicht@redhat.com>
Comment 3 IBM Bug Proxy 2010-07-23 04:01:05 EDT
------- Comment From mgrf@de.ibm.com 2010-07-23 03:51 EDT-------
This feature is verified on R6 snapshots
Set feature to "verified"  Thx

Note You need to log in before you can comment on or make changes to this bug.